# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "sandogasa-bugzilla"
version = "0.8.1"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Bugzilla REST API client"
readme = "README.md"
license = "MPL-2.0"
repository = "https://github.com/slopfest/fedora-cve-triage"

[lib]
name = "sandogasa_bugzilla"
path = "src/lib.rs"

[dependencies.chrono]
version = "0.4"
features = ["serde"]

[dependencies.reqwest]
version = "0.12"
features = [
    "blocking",
    "json",
    "rustls-tls",
]
default-features = false

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dev-dependencies.tokio]
version = "1"
features = ["full"]

[dev-dependencies.wiremock]
version = "0.6"
